org.wildfly.swarm.config.infinispan.cache_container

## Class EvictionComponent<T extends EvictionComponent<T>>

- java.lang.Object
- - org.wildfly.swarm.config.infinispan.cache_container.EvictionComponent<T>

-     public class EvictionComponent<T extends EvictionComponent<T>>
      extends Object

  The cache eviction configuration.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EvictionComponent.Strategy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EvictionComponent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Long` | `evictions()` The number of cache eviction operations.
    `T` | `evictions(Long value)` The number of cache eviction operations.
    `String` | `getKey()`
    `Long` | `maxEntries()` Maximum number of entries in a cache instance.
    `T` | `maxEntries(Long value)` Maximum number of entries in a cache instance.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `EvictionComponent.Strategy` | `strategy()` Sets the cache eviction strategy.
    `T` | `strategy(EvictionComponent.Strategy value)` Sets the cache eviction strategy.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EvictionComponent

          public EvictionComponent()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### evictions

          public Long evictions()

      The number of cache eviction operations. May return null if the cache is not started.

    - #### evictions

          public T evictions(Long value)

      The number of cache eviction operations. May return null if the cache is not started.

    - #### maxEntries

          public Long maxEntries()

      Maximum number of entries in a cache instance. If selected value is not a power of two the actual value will default to the least power of two larger than selected value. -1 means no limit.

    - #### maxEntries

          public T maxEntries(Long value)

      Maximum number of entries in a cache instance. If selected value is not a power of two the actual value will default to the least power of two larger than selected value. -1 means no limit.

    - #### strategy

          public EvictionComponent.Strategy strategy()

      Sets the cache eviction strategy. Available options are 'UNORDERED', 'FIFO', 'LRU', 'LIRS' and 'NONE' (to disable eviction).

    - #### strategy

          public T strategy(EvictionComponent.Strategy value)

      Sets the cache eviction strategy. Available options are 'UNORDERED', 'FIFO', 'LRU', 'LIRS' and 'NONE' (to disable eviction).

Copyright © 2018 JBoss by Red Hat. All rights reserved.